# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/pkg
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = /usr/pkg/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/srpftp
pkglibdir = $(libdir)/srpftp
pkgincludedir = $(includedir)/srpftp

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = gcc
LIBMATH = 
MAKEINFO = /tmp/pkgbuild/security/srp_client/work/srp-1.4.4/missing makeinfo
PACKAGE = srpftp
VERSION = 1.1.1
YACC = yacc

AUTOMAKE_OPTIONS = foreign

usbindir = ${prefix}/sbin

noinst_HEADERS = pathnames.h secure.h

usbin_PROGRAMS = ftpd

ftpd_SOURCES = ftpcmd.y ftpd.c logwtmp.c pathnames.h popen.c srp.c vers.c

EXTRA_DIST = getdtablesize.c setenv.c

LDADD = ../../libsrp/libsrp.a ../../libkrypto/libkrypto.a \
  ../ftp/secure.o ../ftp/glob.o ../ftp/radix.o 

INCLUDES = -I.. -I../../include -I/usr/include/kerberos

EXTRA_DIST = CHANGES ftpd.M
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(usbin_PROGRAMS)


DEFS =  -DPACKAGE=\"srpftp\" -DVERSION=\"1.1.1\" -DHAVE_LIBCRYPT=1 -DHAVE_SYS_SELECT_H=1 -DPOSIX_TERMIOS=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DSIZEOF_SHORT=2 -DSIZEOF_INT=4 -DSIZEOF_LONG=8 -DSTDC_HEADERS=1 -DHAVE_GETCWD=1 -DHAVE_GETDTABLESIZE=1 -DHAVE_GETDTABLESIZE=1 -DHAVE_GETCWD=1 -DHAVE_GETUSERSHELL=1 -DHAVE_SETEUID=1 -DHAVE_SETREUID=1 -DSYS_ERRLIST_DECLARED=1 -DHAVE_SYS_ERRLIST=1 -DRETSIGTYPE=void -DPOSIX_SIGTYPE=1 -DPOSIX_SIGNALS=1 -DNO_UT_PID=1 -DNO_UT_TYPE=1 -DNO_UT_EXIT=1 -DHAVE_SETUTENT=1 -DHAVE_SETUTXENT=1 -DHAVE_UPDWTMPX=1 -DHAVE_STDARG_H=1 -DFTP_BUFSIZ=10240 -DSRP=1 -DNO_PASSIVE_MODE=1 -DFTPAUTH=1 -DFTPAUTH_PATH=\"/etc/ftpauth\"  -I. -I$(srcdir) 
CPPFLAGS = -Dunix=1 -I/usr/pkg/include
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib
LIBS = -lcrypt  -L../../lib -lgmp
ftpd_OBJECTS =  ftpcmd.o ftpd.o logwtmp.o popen.o srp.o vers.o
ftpd_LDADD = $(LDADD)
ftpd_DEPENDENCIES =  ../../libsrp/libsrp.a ../../libkrypto/libkrypto.a \
../ftp/secure.o ../ftp/glob.o ../ftp/radix.o 
ftpd_LDFLAGS = 
CFLAGS = -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in ftpcmd.c getdtablesize.c setenv.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(ftpd_SOURCES)
OBJECTS = $(ftpd_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .h .o .y
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps ftpd/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-usbinPROGRAMS:

clean-usbinPROGRAMS:
	test -z "$(usbin_PROGRAMS)" || rm -f $(usbin_PROGRAMS)

distclean-usbinPROGRAMS:

maintainer-clean-usbinPROGRAMS:

install-usbinPROGRAMS: $(usbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(usbindir)
	@list='$(usbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(usbindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(usbindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-usbinPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(usbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(usbindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

ftpd: $(ftpd_OBJECTS) $(ftpd_DEPENDENCIES)
	@rm -f ftpd
	$(LINK) $(ftpd_LDFLAGS) $(ftpd_OBJECTS) $(ftpd_LDADD) $(LIBS)
.y.c:
	$(YACC) $(YFLAGS) $< && mv y.tab.c $@
	if test -f y.tab.h; then \
	if cmp -s y.tab.h $*.h; then rm -f y.tab.h; else mv y.tab.h $*.h; fi; \
	else :; fi
.y.h:
	$(YACC) $(YFLAGS) $< && mv y.tab.c $@
	if test -f y.tab.h; then \
	if cmp -s y.tab.h $*.h; then rm -f y.tab.h; else mv y.tab.h $*.h; fi; \
	else :; fi

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = ftpd

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
ftpcmd.o ftpcmd.lo: ftpcmd.c ../arpa/ftp.h ../arpa/telnet.h
ftpd.o ftpd.lo: ftpd.c ../arpa/ftp.h ../arpa/telnet.h pathnames.h \
	../../include/t_pwd.h
getdtablesize.o getdtablesize.lo: getdtablesize.c
logwtmp.o logwtmp.lo: logwtmp.c
popen.o popen.lo: popen.c
setenv.o setenv.lo: setenv.c
srp.o srp.lo: srp.c ../arpa/ftp.h ../../include/t_pwd.h \
	../../include/t_server.h ../../include/t_sha.h \
	../../include/krypto.h
vers.o vers.lo: vers.c

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: install-usbinPROGRAMS
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-usbinPROGRAMS

all: Makefile $(PROGRAMS) $(HEADERS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(usbindir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-usbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-usbinPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-usbinPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-usbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-usbinPROGRAMS distclean-usbinPROGRAMS \
clean-usbinPROGRAMS maintainer-clean-usbinPROGRAMS \
uninstall-usbinPROGRAMS install-usbinPROGRAMS mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info dvi installcheck install-exec install-data install \
uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
